<?php

class featuredbox_help
{
    var $parent;
    
    function __construct($parent)
    {
        $this->parent = $parent;
        add_action('admin_menu' , array(&$this, 'register_featuredbox_help'));
    }
    
    public function register_featuredbox_help()
    {
        add_submenu_page('edit.php?post_type=featuredbox', __('Help', $this->parent->domain), __('Help', $this->parent->domain), 'edit_posts', basename(__FILE__), array(&$this, 'featuredbox_help'));
        add_meta_box('about', __('About Featured Box', $this->parent->domain), array(&$this, 'metabox_about'), 'featuredbox-about', 'normal', 'core');
    }
    
    public function featuredbox_help()
    {
        echo '<div class="wrap">';
            echo '<h2>'.__('Featured Box Help', $this->parent->domain).'</h2>';
            echo '<div id="metaboxes-general" class="metabox-holder" style="padding-top: 10px;">';
                do_meta_boxes('featuredbox-about', 'normal', $data);
            echo '</div>';
        echo '</div>';
    }
    
    public function metabox_about()
    {
        $html = '<div style="line-height: 1.7;">';
        $html .= '<b>'.__('Plugin Name', $this->parent->domain).':</b> Featured Box<br/>';
        $html .= '<b>'.__('Version', $this->parent->domain).':</b> '.$this->parent->ver.'<br/>';
        $html .= '<b>'.__('Documentation', $this->parent->domain).':</b> <a href="'.plugins_url("/featured-box/documentation-".$this->parent->ver.".pdf").'" target="_new">PDF Document</a><br/>';
        $html .= '<b>'.__('Official Website', $this->parent->domain).':</b> <a href="http://mindomobile.com/?featuredbox" target="_new">MindoMobile.com</a><br/>';
        $html .= '<b>'.__('Support', $this->parent->domain).':</b> <a href="http://wordpress.org/support/plugin/featured-box" target="_new">'.__('WordPress Support Forum', $this->parent->domain).'</a>, <a href="http://mindomobile.com/contact-us/" target="_new">'.__('Contact Us Page', $this->parent->domain).'</a><br/>';
        $html .= '<b>'.__('Donate', $this->parent->domain).':</b> <a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=F46P9W3FSA9GN">Paypal</a><br/>';
        $html .= '<iframe src="http://www.facebook.com/plugins/like.php?href=http%3A%2F%2Fwww.facebook.com%2FMindoMobileSolutions&amp;width=400&amp;colorscheme=light&amp;show_faces=false&amp;border_color&amp;stream=false&amp;header=false&amp;height=25" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:400px; height:25px; padding-top: 4px;" allowTransparency="true"></iframe>';
        $html .= "</div>";
    
        echo $html;      
    }
}

?>